import e from "./isArrayLike.js";
import t from "./_baseKeys.js";
import n from "./_getTag.js";
import r from "./isString.js";
import i from "./_stringSize.js";
//#region ../../node_modules/lodash-es/size.js
var a = "[object Map]", o = "[object Set]";
function s(s) {
	if (s == null) return 0;
	if (e(s)) return r(s) ? i(s) : s.length;
	var c = n(s);
	return c == a || c == o ? s.size : t(s).length;
}
//#endregion
export { s as default };
